aboutsummaryrefslogtreecommitdiffstats
path: root/meta-ivi-test/recipes-extended/dlt-daemon/dlt-daemon/dlt-daemon_t.inc
diff options
context:
space:
mode:
Diffstat (limited to 'meta-ivi-test/recipes-extended/dlt-daemon/dlt-daemon/dlt-daemon_t.inc')
-rw-r--r--meta-ivi-test/recipes-extended/dlt-daemon/dlt-daemon/dlt-daemon_t.inc37
1 files changed, 37 insertions, 0 deletions
diff --git a/meta-ivi-test/recipes-extended/dlt-daemon/dlt-daemon/dlt-daemon_t.inc b/meta-ivi-test/recipes-extended/dlt-daemon/dlt-daemon/dlt-daemon_t.inc
new file mode 100644
index 0000000..ab96fa0
--- /dev/null
+++ b/meta-ivi-test/recipes-extended/dlt-daemon/dlt-daemon/dlt-daemon_t.inc
@@ -0,0 +1,37 @@
+#!/bin/sh
+get_list() {
+ return 2
+}
+
+get_title() {
+ echo "dlt-daemon"
+}
+
+_run_dir=/opt/tests/dlt-daemon
+run_1() {
+ if [ "x${1}" != "x" ]; then
+ ${_run_dir}/dlt-test-filetransfer > /tmp/t
+ _c1=$?
+ if [ "x${_c1}" = "x0" ]; then
+ echo " PASSED"
+ else
+ echo " FAILED"
+ fi
+ else
+ ${_run_dir}/dlt-test-filetransfer
+ fi
+}
+
+run_2() {
+ if [ "x${1}" != "x" ]; then
+ ${_run_dir}/dlt-test-user > /tmp/t
+ _c1=`cat /tmp/t | grep -v -E Test.. | grep -v "locally printed"`
+ if [ "x${_c1}" = "x" ]; then
+ echo " PASSED"
+ else
+ echo " FAILED"
+ fi
+ else
+ ${_run_dir}/dlt-test-user
+ fi
+}